Bonjour à tous,

Nous sommes en train de travailler sur la programmation d'une interface utilisateur : il doit pouvoir agir sur un train d'engrenage créé sous catia.
Nous souhaitons lui donner la possibilité de modifier le module et le nombre de dents du premier engrenage en utilisant une textbox :Nom : Capture2.PNG
Affichages : 42
Taille : 17,8 Ko

Mais nous n'arrivons pas :
1) à affecter cette valeur entrée par l'utilisateur au module de l'engrenage ?
2) à créer des valeurs limites (ou impossibles) pour le nombre de dents ?

Voici le code récupéré pour le module (après avoir effectué une macro):

Code : Sélectionner tout - Visualiser dans une fenêtre à part
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
Language="VBSCRIPT"
 
Sub CATMain()
 
Set productDocument1 = CATIA.ActiveDocument
 
Set product1 = productDocument1.Product
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set product1 = product1.ReferenceProduct
 
Set parameters1 = product1.Parameters
 
Set length1 = parameters1.Item("module_engrenage_sup1")
 
length1.Value = 3.000000
 
product1.Update 
 
Set documents1 = CATIA.Documents
 
Set partDocument1 = documents1.Item("support.CATPart")
 
Set part1 = partDocument1.Part
 
Set bodies1 = part1.Bodies
 
Set body1 = bodies1.Item("Corps principal")
 
Set sketches1 = body1.Sketches
 
Set sketch1 = sketches1.Item("Esquisse.2")
 
Set constraints1 = sketch1.Constraints
 
Set constraint1 = constraints1.Item("Rayon.10")
 
Set length2 = constraint1.Dimension
 
length2.Value = 20.000000
 
Set constraint2 = constraints1.Item("Rayon.11")
 
Set length3 = constraint2.Dimension
 
length3.Value = 20.000000
 
End Sub


Merci d'avance de vos réponses,

PS : nous sommes encore débutants, soyez indulgents.

Florian & Laurent